/*
 * Class INTEGER_16
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_210 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_210 [] = {0xFF01,748,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_210 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_210 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_210 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_210 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_6_210 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_7_210 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_8_210 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_9_210 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_210 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_11_210 [] = {0xFF01,208,0xFFFF};
static const EIF_TYPE_INDEX egt_12_210 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_210[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_210), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_210), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_210), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_210), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_210), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_210), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_210), 10890, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_210), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_210), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10906, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10897, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10966, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10970, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10968, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10969, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_210), 10890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 1457, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10893, 0},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10900, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10907, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10967, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10972, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_210), 10920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_210), 10922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10973, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10948, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10936, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10954, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_210), 10943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 10956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10891, 0xFFFFFFFF},
};
void Init210(void)
{
	IDSC(desc_210, 0, 209);
	IDSC(desc_210 + 1, 1, 209);
	IDSC(desc_210 + 32, 248, 209);
	IDSC(desc_210 + 34, 254, 209);
	IDSC(desc_210 + 44, 336, 209);
	IDSC(desc_210 + 45, 203, 209);
	IDSC(desc_210 + 49, 288, 209);
	IDSC(desc_210 + 52, 36, 209);
}


#ifdef __cplusplus
}
#endif
